
# SessionUser

Response for the /user/me endpoint, returns the currently active user (as `user` property) and, if this user is being impersonated, the original user in the `original` property.

## Properties

Name | Type
------------ | -------------
`user` | [UserSelf](UserSelf.md)
`original` | [UserSelf](UserSelf.md)

## Example

```typescript
import type { SessionUser } from '@goauthentik/api'

// TODO: Update the object below with actual values
const example = {
  "user": null,
  "original": null,
} satisfies SessionUser

console.log(example)

// Convert the instance to a JSON string
const exampleJSON: string = JSON.stringify(example)
console.log(exampleJSON)

// Parse the JSON string back to an object
const exampleParsed = JSON.parse(exampleJSON) as SessionUser
console.log(exampleParsed)
```

[[Back to top]](#) [[Back to API list]](../README.md#api-endpoints) [[Back to Model list]](../README.md#models) [[Back to README]](../README.md)


